Subject: [bitcoin-dev] Swift Activation - CTV

From: alicexbt <[email-masked]>
Date: Wed, 20 Dec 2023 01:44:58 +0000

Hello World,

Note: This is not an attack on bitcoin. This is an email with some text and links. Users can decide what works best for themselves. There is also scope for discussion about changing method or params.

I want to keep it short and no energy left. I have explored different options for activation and this feels the safest at this point in 2023. I have not done any magic or innovation but updated activation params. If you agree with them, please run this client else build your own. Anyone who calls this attack and do not build alternative option is an attack in itself.

It activates CTV which is simple covenant proposal and achieves what we expect it to. It is upgradeable.  I like simple things, at least to start with.

Activation parameters: 

```
        consensus.vDeployments[Consensus::DEPLOYMENT_COVTOOLS].nStartTime = 1704067200;
        consensus.vDeployments[Consensus::DEPLOYMENT_COVTOOLS].nTimeout = 1727740800;
        consensus.vDeployments[Consensus::DEPLOYMENT_COVTOOLS].min_activation_height = 874874; 
```

I need payment pools and it does it for me. Apart from that it enables vaults, congestion control etc. We have more PoCs for CTV than we had for taproot and I understand it better.

If you agree with me, please build and run this client before 01 Jan 2024 else we can discuss ordinals for next 5 years and activate something in 2028.

Cheers

/dev/fd0
floppy disk guy

Sent with Proton Mail secure email.